# Method: projects.locations.investigations.revisions.list

- [HTTP request](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.ListInvestigationRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/list#body.aspect_1)

Lists Investigations in a given project.

### HTTP request

`GET https://geminicloudassist.googleapis.com/v1alpha/{parent=projects/*/locations/*/investigations/*}/revisions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent to return Investigation revisions for. Within the parent, the location must be set to "global". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested number of items to return. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |

### Request body

The request body must be empty.

### Response body

Message for response to listing revisions of a given Investigation

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "revisions": [ { object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions#InvestigationRevision`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `revisions[]` | ``object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions#InvestigationRevision`)`` The list of Investigation revisions |
| `nextPageToken` | `string` A token to use in subsequent requests in order to return the next set of results. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `geminicloudassist.investigationRevisions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).